Bug 1286621 - subscription-manager release --set=7.1 does not take effect
subscription-manager release --set=7.1 does not take effect
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: releng (Show other bugs)
7.2
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Lubos Kocman
rnester
: Reopened
Depends On:
Blocks: 1203710
  Show dependency treegraph
 
Reported: 2015-11-30 06:11 EST by Frantisek Zak
Modified: 2017-02-01 09:00 EST (History)
26 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1317690 (view as bug list)
Environment:
Last Closed: 2017-02-01 09:00:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantisek Zak 2015-11-30 06:11:41 EST
Description of problem:

subscription-manager release --set=7.1 does not place limitations on the minor version

Version-Release number of selected component (if applicable):

subscription-manager-1.15.9-15.el7.x86_64 

How reproducible:

Always

Steps to Reproduce:
1. # subscription-manager release --set=7.1
2. # yum update -y
3. # cat /etc/redhat-release (to check)

Actual results:

# cat /etc/redhat-release --> Red Hat Enterprise Linux Workstation release 7.2 (Maipo)

Expected results:

# cat /etc/redhat-release --> Red Hat Enterprise Linux Workstation release 7.1 (Maipo)

Additional info:
Comment 1 John Sefler 2015-11-30 11:56:22 EST
NOTE:  Setting the release preference to 7.1 must be done *before* running any updates once a new RHEL release goes GA (e.g. RHEL 7.2)...

TESTING WITH A RHEL7.1 INSTALLATION....

[root@ibm-x3650m4-02-vm-02 ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Workstation release 7.1 (Maipo)

[root@ibm-x3650m4-02-vm-02 ~]# rpm -q subscription-manager redhat-release-workstation
subscription-manager-1.13.22-1.el7.x86_64
redhat-release-workstation-7.1-1.el7.x86_64

[root@ibm-x3650m4-02-vm-02 ~]# subscription-manager list --installed

+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Red Hat Enterprise Linux Workstation
Product ID:     71
Version:        7.1
Arch:           x86_64
Status:         Unknown
Status Details: 
Starts:         
Ends:  

[root@ibm-x3650m4-02-vm-02 ~]# subscription-manager register --auto-attach
Username: qa@redhat.com
Password: 
The system has been registered with ID: 452bed91-8358-4b96-a9be-4dd311c075ae 

Installed Product Current Status:
Product Name: Red Hat Enterprise Linux Workstation
Status:       Subscribed

[root@ibm-x3650m4-02-vm-02 ~]# subscription-manager release --list
+-------------------------------------------+
          Available Releases
+-------------------------------------------+
7.0
7.1
7.2
7Workstation

[root@ibm-x3650m4-02-vm-02 ~]# subscription-manager release --set=7.1
Release set to: 7.1

REMOVING ANY INFLUENCE FROM AN ENTITLED  HIGH TOUCH BETA REPO...
[root@ibm-x3650m4-02-vm-02 ~]# subscription-manager repos --disable=rhel-7-workstation-htb-rpms
Repository 'rhel-7-workstation-htb-rpms' is disabled for this system.

[root@ibm-x3650m4-02-vm-02 ~]# subscription-manager repos --list-enabled
+----------------------------------------------------------+
    Available Repositories in /etc/yum.repos.d/redhat.repo
+----------------------------------------------------------+
Repo ID:   rhel-7-workstation-rpms
Repo Name: Red Hat Enterprise Linux 7 Workstation (RPMs)
Repo URL:  https://cdn.redhat.com/content/dist/rhel/workstation/7/7.1/$basearch/os
Enabled:   1

VERIFIED: THE ENTITLED Repo URL IS POINTING TO A 7.1 $releasever PATH

[root@ibm-x3650m4-02-vm-02 ~]# yum update -q subscription-manager redhat-release-workstation

================================================================================
 Package                    Arch   Version        Repository               Size
================================================================================
Updating:
 redhat-release-workstation x86_64 7.2-8.el7      rhel-7-workstation-rpms  27 k
 subscription-manager       x86_64 1.15.9-15.el7  rhel-7-workstation-rpms 823 k
Updating for dependencies:
 python-rhsm                x86_64 1.15.4-5.el7   rhel-7-workstation-rpms 116 k

Transaction Summary
================================================================================
Upgrade  2 Packages (+1 Dependent package)

Is this ok [y/d/N]: N
Exiting on user command
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2015-11-30.11-42.04ie9m.yumtx
[root@ibm-x3650m4-02-vm-02 ~]#


AGREE WITH comment 0: THE yum update APPEARS TO BE INSTALLING PACKAGES FROM THE 7.2 REPO WHEN THEY SHOULD BE FIXED AT 7.1.

This looks like a legitimate rel-eng bug.
Comment 28 Joe Lawrence 2015-12-16 14:30:41 EST
I noted a similar problem when attempting to fix RHEL7.1 in place with the   rhel-7-server-rpms repo enabled.  Even though it appeared to be successful, an update pulled in the 7.2 kernel.  OTOH, setting the
Comment 29 Joe Lawrence 2015-12-16 14:32:05 EST
... setting the  subscription-manager release to 7.1 with *only* rhel-7-server-eus-rpms enabled, I was able to prevent 7.2 packages from installing.
Comment 36 Jan Blazek 2016-01-11 09:05:16 EST
All the redundant rpms were removed from 7.1 repositories, the repodata have been rebuilt and all was synced to CDN.
Comment 37 rnester 2016-01-11 11:18:41 EST
Verified that primary xml repo metadata file for 7.1 releases of server/workstation/client no longer includes 7.2 packages.
Comment 43 Karl Abbott 2016-11-04 08:25:17 EDT
This does not work with the release of RHEL 7.3.

Steps to reproduce:

1) Start with a RHEL 7.2 machine subscribed to rhel-7-server-rpms:

[root@tux ~]# subscription-manager repos --list-enabled
+----------------------------------------------------------+
    Available Repositories in /etc/yum.repos.d/redhat.repo
+----------------------------------------------------------+
Repo ID:   rhel-7-server-rpms
Repo Name: Red Hat Enterprise Linux 7 Server (RPMs)
Repo URL:  https://cdn.redhat.com/content/dist/rhel/server/7/7.2/$basearch/os
Enabled:   1

2) Pin the release to 7.2:

subscription-manager release --set=7.2

3) Confirm the release is 7.2:

[root@tux ~]# subscription-manager release --show
Release: 7.2

4) Run yum clean all ; yum check-update:

[redacted the clean output]
(1/8): epel/x86_64/group_gz                                | 170 kB   00:00
(2/8): kab-testing/primary_db                              | 3.1 kB   00:00
(3/8): kab/primary_db                                      | 6.5 kB   00:00
(4/8): rhel-7-server-rpms/x86_64/group                     | 701 kB   00:00
(5/8): rhel-7-server-rpms/x86_64/updateinfo                | 1.4 MB   00:00
(6/8): epel/x86_64/primary_db                              | 4.3 MB   00:01
(7/8): epel/x86_64/updateinfo                              | 671 kB   00:00
(8/8): rhel-7-server-rpms/x86_64/primary_db                |  31 MB   00:01

NetworkManager.x86_64              1:1.4.0-12.el7             rhel-7-server-rpms
NetworkManager-config-server.x86_64
                                   1:1.4.0-12.el7             rhel-7-server-rpms
NetworkManager-libnm.x86_64        1:1.4.0-12.el7             rhel-7-server-rpms
NetworkManager-team.x86_64         1:1.4.0-12.el7             rhel-7-server-rpms
NetworkManager-tui.x86_64          1:1.4.0-12.el7             rhel-7-server-rpms
alsa-lib.x86_64                    1.1.1-1.el7                rhel-7-server-rpms
alsa-tools-firmware.x86_64         1.1.0-1.el7                rhel-7-server-rpms
audit.x86_64                       2.6.5-3.el7                rhel-7-server-rpms
audit-libs.x86_64                  2.6.5-3.el7                rhel-7-server-rpms
audit-libs-python.x86_64           2.6.5-3.el7                rhel-7-server-rpms
authconfig.x86_64                  6.2.8-14.el7               rhel-7-server-rpms
avahi-autoipd.x86_64               0.6.31-17.el7              rhel-7-server-rpms
avahi-libs.x86_64                  0.6.31-17.el7              rhel-7-server-rpms
bind-libs-lite.x86_64              32:9.9.4-37.el7            rhel-7-server-rpms
bind-license.noarch                32:9.9.4-37.el7            rhel-7-server-rpms
binutils.x86_64                    2.25.1-22.base.el7         rhel-7-server-rpms
biosdevname.x86_64                 0.7.2-1.el7                rhel-7-server-rpms
btrfs-progs.x86_64                 4.4.1-1.el7                rhel-7-server-rpms
ca-certificates.noarch             2015.2.6-73.el7            rhel-7-server-rpms
checkpolicy.x86_64                 2.5-4.el7                  rhel-7-server-rpms
chkconfig.x86_64                   1.7.2-1.el7                rhel-7-server-rpms
coreutils.x86_64                   8.22-18.el7                rhel-7-server-rpms
cryptsetup-libs.x86_64             1.7.2-1.el7                rhel-7-server-rpms
curl.x86_64                        7.29.0-35.el7              rhel-7-server-rpms
dbus.x86_64                        1:1.6.12-17.el7            rhel-7-server-rpms
dbus-libs.x86_64                   1:1.6.12-17.el7            rhel-7-server-rpms
device-mapper.x86_64               7:1.02.135-1.el7           rhel-7-server-rpms
device-mapper-event.x86_64         7:1.02.135-1.el7           rhel-7-server-rpms
device-mapper-event-libs.x86_64    7:1.02.135-1.el7           rhel-7-server-rpms
device-mapper-libs.x86_64          7:1.02.135-1.el7           rhel-7-server-rpms
device-mapper-persistent-data.x86_64
                                   0.6.3-1.el7                rhel-7-server-rpms
dhclient.x86_64                    12:4.2.5-47.el7            rhel-7-server-rpms
dhcp-common.x86_64                 12:4.2.5-47.el7            rhel-7-server-rpms
dhcp-libs.x86_64                   12:4.2.5-47.el7            rhel-7-server-rpms
dmidecode.x86_64                   1:3.0-2.el7                rhel-7-server-rpms
dnsmasq.x86_64                     2.66-21.el7                rhel-7-server-rpms
dracut.x86_64                      033-463.el7                rhel-7-server-rpms
dracut-config-rescue.x86_64        033-463.el7                rhel-7-server-rpms
dracut-network.x86_64              033-463.el7                rhel-7-server-rpms
e2fsprogs.x86_64                   1.42.9-9.el7               rhel-7-server-rpms
e2fsprogs-libs.x86_64              1.42.9-9.el7               rhel-7-server-rpms
ebtables.x86_64                    2.0.10-15.el7              rhel-7-server-rpms
elfutils.x86_64                    0.166-2.el7                rhel-7-server-rpms
elfutils-libelf.x86_64             0.166-2.el7                rhel-7-server-rpms
elfutils-libs.x86_64               0.166-2.el7                rhel-7-server-rpms
ethtool.x86_64                     2:4.5-3.el7                rhel-7-server-rpms
file.x86_64                        5.11-33.el7                rhel-7-server-rpms
file-libs.x86_64                   5.11-33.el7                rhel-7-server-rpms
filesystem.x86_64                  3.2-21.el7                 rhel-7-server-rpms
firewalld.noarch                   0.4.3.2-8.el7              rhel-7-server-rpms
freetype.x86_64                    2.4.11-12.el7              rhel-7-server-rpms
gdb.x86_64                         7.6.1-94.el7               rhel-7-server-rpms
glib2.x86_64                       2.46.2-4.el7               rhel-7-server-rpms
glibc.x86_64                       2.17-157.el7               rhel-7-server-rpms
glibc-common.x86_64                2.17-157.el7               rhel-7-server-rpms
gnupg2.x86_64                      2.0.22-4.el7               rhel-7-server-rpms
gnutls.x86_64                      3.3.24-1.el7               rhel-7-server-rpms
grub2.x86_64                       1:2.02-0.44.el7            rhel-7-server-rpms
grub2-tools.x86_64                 1:2.02-0.44.el7            rhel-7-server-rpms
grubby.x86_64                      8.28-18.el7                rhel-7-server-rpms
httpd.x86_64                       2.4.6-45.el7               rhel-7-server-rpms
httpd-tools.x86_64                 2.4.6-45.el7               rhel-7-server-rpms
hwdata.x86_64                      0.252-8.4.el7              rhel-7-server-rpms
initscripts.x86_64                 9.49.37-1.el7              rhel-7-server-rpms
iproute.x86_64                     3.10.0-74.el7              rhel-7-server-rpms
iprutils.x86_64                    2.4.13.1-1.el7             rhel-7-server-rpms
iptables.x86_64                    1.4.21-17.el7              rhel-7-server-rpms
iputils.x86_64                     20160308-8.el7             rhel-7-server-rpms
irqbalance.x86_64                  3:1.0.7-6.el7              rhel-7-server-rpms
iwl100-firmware.noarch             39.31.5.1-49.el7           rhel-7-server-rpms
iwl1000-firmware.noarch            1:39.31.5.1-49.el7         rhel-7-server-rpms
iwl105-firmware.noarch             18.168.6.1-49.el7          rhel-7-server-rpms
iwl135-firmware.noarch             18.168.6.1-49.el7          rhel-7-server-rpms
iwl2000-firmware.noarch            18.168.6.1-49.el7          rhel-7-server-rpms
iwl2030-firmware.noarch            18.168.6.1-49.el7          rhel-7-server-rpms
iwl3160-firmware.noarch            22.0.7.0-49.el7            rhel-7-server-rpms
iwl3945-firmware.noarch            15.32.2.9-49.el7           rhel-7-server-rpms
iwl4965-firmware.noarch            228.61.2.24-49.el7         rhel-7-server-rpms
iwl5000-firmware.noarch            8.83.5.1_1-49.el7          rhel-7-server-rpms
iwl5150-firmware.noarch            8.24.2.2-49.el7            rhel-7-server-rpms
iwl6000-firmware.noarch            9.221.4.1-49.el7           rhel-7-server-rpms
iwl6000g2a-firmware.noarch         17.168.5.3-49.el7          rhel-7-server-rpms
iwl6000g2b-firmware.noarch         17.168.5.2-49.el7          rhel-7-server-rpms
iwl6050-firmware.noarch            41.28.5.1-49.el7           rhel-7-server-rpms
iwl7260-firmware.noarch            22.0.7.0-49.el7            rhel-7-server-rpms
iwl7265-firmware.noarch            22.0.7.0-49.el7            rhel-7-server-rpms
kbd.x86_64                         1.15.5-12.el7              rhel-7-server-rpms
kbd-legacy.noarch                  1.15.5-12.el7              rhel-7-server-rpms
kbd-misc.noarch                    1.15.5-12.el7              rhel-7-server-rpms
kernel.x86_64                      3.10.0-514.el7             rhel-7-server-rpms
kernel-tools.x86_64                3.10.0-514.el7             rhel-7-server-rpms
kernel-tools-libs.x86_64           3.10.0-514.el7             rhel-7-server-rpms
kexec-tools.x86_64                 2.0.7-50.el7               rhel-7-server-rpms
kmod.x86_64                        20-9.el7                   rhel-7-server-rpms
kmod-libs.x86_64                   20-9.el7                   rhel-7-server-rpms
kpartx.x86_64                      0.4.9-99.el7               rhel-7-server-rpms
krb5-libs.x86_64                   1.14.1-26.el7              rhel-7-server-rpms
libblkid.x86_64                    2.23.2-33.el7              rhel-7-server-rpms
libcgroup.x86_64                   0.41-11.el7                rhel-7-server-rpms
libcom_err.x86_64                  1.42.9-9.el7               rhel-7-server-rpms
libcurl.x86_64                     7.29.0-35.el7              rhel-7-server-rpms
libdrm.x86_64                      2.4.67-3.el7               rhel-7-server-rpms
libffi.x86_64                      3.0.13-18.el7              rhel-7-server-rpms
libgcc.x86_64                      4.8.5-11.el7               rhel-7-server-rpms
libgomp.x86_64                     4.8.5-11.el7               rhel-7-server-rpms
libgudev1.x86_64                   219-30.el7                 rhel-7-server-rpms
libmount.x86_64                    2.23.2-33.el7              rhel-7-server-rpms
libndp.x86_64                      1.2-7.el7                  rhel-7-server-rpms
libnl3.x86_64                      3.2.28-2.el7               rhel-7-server-rpms
libnl3-cli.x86_64                  3.2.28-2.el7               rhel-7-server-rpms
libproxy.x86_64                    0.4.11-10.el7              rhel-7-server-rpms
libselinux.x86_64                  2.5-6.el7                  rhel-7-server-rpms
libselinux-python.x86_64           2.5-6.el7                  rhel-7-server-rpms
libselinux-utils.x86_64            2.5-6.el7                  rhel-7-server-rpms
libsemanage.x86_64                 2.5-4.el7                  rhel-7-server-rpms
libsemanage-python.x86_64          2.5-4.el7                  rhel-7-server-rpms
libsepol.x86_64                    2.5-6.el7                  rhel-7-server-rpms
libsoup.x86_64                     2.48.1-6.el7               rhel-7-server-rpms
libss.x86_64                       1.42.9-9.el7               rhel-7-server-rpms
libstdc++.x86_64                   4.8.5-11.el7               rhel-7-server-rpms
libtasn1.x86_64                    3.8-3.el7                  rhel-7-server-rpms
libteam.x86_64                     1.25-4.el7                 rhel-7-server-rpms
libuuid.x86_64                     2.23.2-33.el7              rhel-7-server-rpms
linux-firmware.noarch              20160830-49.git7534e19.el7 rhel-7-server-rpms
logrotate.x86_64                   3.8.6-12.el7               rhel-7-server-rpms
lsscsi.x86_64                      0.27-4.el7                 rhel-7-server-rpms
lua.x86_64                         5.1.4-15.el7               rhel-7-server-rpms
lvm2.x86_64                        7:2.02.166-1.el7           rhel-7-server-rpms
lvm2-libs.x86_64                   7:2.02.166-1.el7           rhel-7-server-rpms
make.x86_64                        1:3.82-23.el7              rhel-7-server-rpms
mariadb-libs.x86_64                1:5.5.52-1.el7             rhel-7-server-rpms
mcelog.x86_64                      3:136-1.e4aca63.el7        rhel-7-server-rpms
microcode_ctl.x86_64               2:2.1-16.el7               rhel-7-server-rpms
mozjs17.x86_64                     17.0.0-19.el7              rhel-7-server-rpms
nettle.x86_64                      2.7.1-8.el7                rhel-7-server-rpms
nss.x86_64                         3.21.0-17.el7              rhel-7-server-rpms
nss-softokn.x86_64                 3.16.2.3-14.4.el7          rhel-7-server-rpms
nss-softokn-freebl.x86_64          3.16.2.3-14.4.el7          rhel-7-server-rpms
nss-sysinit.x86_64                 3.21.0-17.el7              rhel-7-server-rpms
nss-tools.x86_64                   3.21.0-17.el7              rhel-7-server-rpms
openldap.x86_64                    2.4.40-13.el7              rhel-7-server-rpms
openldap-clients.x86_64            2.4.40-13.el7              rhel-7-server-rpms
openssh.x86_64                     6.6.1p1-31.el7             rhel-7-server-rpms
openssh-clients.x86_64             6.6.1p1-31.el7             rhel-7-server-rpms
openssh-server.x86_64              6.6.1p1-31.el7             rhel-7-server-rpms
openssl.x86_64                     1:1.0.1e-60.el7            rhel-7-server-rpms
openssl-libs.x86_64                1:1.0.1e-60.el7            rhel-7-server-rpms
os-prober.x86_64                   1.58-9.el7                 rhel-7-server-rpms
pam.x86_64                         1.1.8-18.el7               rhel-7-server-rpms
parted.x86_64                      3.1-28.el7                 rhel-7-server-rpms
pciutils-libs.x86_64               3.5.1-1.el7                rhel-7-server-rpms
perl.x86_64                        4:5.16.3-291.el7           rhel-7-server-rpms
perl-Pod-Escapes.noarch            1:1.04-291.el7             rhel-7-server-rpms
perl-Socket.x86_64                 2.010-4.el7                rhel-7-server-rpms
perl-libs.x86_64                   4:5.16.3-291.el7           rhel-7-server-rpms
perl-macros.x86_64                 4:5.16.3-291.el7           rhel-7-server-rpms
pinentry.x86_64                    0.8.1-17.el7               rhel-7-server-rpms
plymouth.x86_64                    0.8.9-0.26.20140113.el7    rhel-7-server-rpms
plymouth-core-libs.x86_64          0.8.9-0.26.20140113.el7    rhel-7-server-rpms
plymouth-scripts.x86_64            0.8.9-0.26.20140113.el7    rhel-7-server-rpms
policycoreutils.x86_64             2.5-8.el7                  rhel-7-server-rpms
policycoreutils-python.x86_64      2.5-8.el7                  rhel-7-server-rpms
polkit.x86_64                      0.112-9.el7                rhel-7-server-rpms
procps-ng.x86_64                   3.3.10-10.el7              rhel-7-server-rpms
python.x86_64                      2.7.5-48.el7               rhel-7-server-rpms
python-libs.x86_64                 2.7.5-48.el7               rhel-7-server-rpms
python-magic.noarch                5.11-33.el7                rhel-7-server-rpms
python-perf.x86_64                 3.10.0-514.el7             rhel-7-server-rpms
python-pycurl.x86_64               7.19.0-19.el7              rhel-7-server-rpms
python-rhsm.x86_64                 1.17.9-1.el7               rhel-7-server-rpms
python-urlgrabber.noarch           3.10-8.el7                 rhel-7-server-rpms
rdma.noarch                        7.3_4.7_rc2-5.el7          rhel-7-server-rpms
redhat-logos.noarch                70.0.3-6.el7               rhel-7-server-rpms
redhat-release-server.x86_64       7.3-7.el7                  rhel-7-server-rpms
redhat-rpm-config.noarch           9.1.0-72.el7               rhel-7-server-rpms
redhat-support-lib-python.noarch   0.9.7-6.el7                rhel-7-server-rpms
redhat-support-tool.noarch         0.9.8-6.el7                rhel-7-server-rpms
rhn-check.noarch                   2.0.2-8.el7                rhel-7-server-rpms
rhn-client-tools.noarch            2.0.2-8.el7                rhel-7-server-rpms
rhn-setup.noarch                   2.0.2-8.el7                rhel-7-server-rpms
rpm.x86_64                         4.11.3-21.el7              rhel-7-server-rpms
rpm-build.x86_64                   4.11.3-21.el7              rhel-7-server-rpms
rpm-build-libs.x86_64              4.11.3-21.el7              rhel-7-server-rpms
rpm-libs.x86_64                    4.11.3-21.el7              rhel-7-server-rpms
rpm-python.x86_64                  4.11.3-21.el7              rhel-7-server-rpms
rsyslog.x86_64                     7.4.7-16.el7               rhel-7-server-rpms
selinux-policy.noarch              3.13.1-102.el7             rhel-7-server-rpms
selinux-policy-targeted.noarch     3.13.1-102.el7             rhel-7-server-rpms
setools-libs.x86_64                3.3.8-1.1.el7              rhel-7-server-rpms
setup.noarch                       2.8.71-7.el7               rhel-7-server-rpms
shadow-utils.x86_64                2:4.1.5.1-24.el7           rhel-7-server-rpms
subscription-manager.x86_64        1.17.15-1.el7              rhel-7-server-rpms
sudo.x86_64                        1.8.6p7-20.el7             rhel-7-server-rpms
systemd.x86_64                     219-30.el7                 rhel-7-server-rpms
systemd-libs.x86_64                219-30.el7                 rhel-7-server-rpms
systemd-sysv.x86_64                219-30.el7                 rhel-7-server-rpms
tar.x86_64                         2:1.26-31.el7              rhel-7-server-rpms
teamd.x86_64                       1.25-4.el7                 rhel-7-server-rpms
trace-cmd.x86_64                   2.6.0-3.el7                rhel-7-server-rpms
tuned.noarch                       2.7.1-3.el7                rhel-7-server-rpms
tzdata.noarch                      2016h-1.el7                rhel-7-server-rpms
unzip.x86_64                       6.0-16.el7                 rhel-7-server-rpms
util-linux.x86_64                  2.23.2-33.el7              rhel-7-server-rpms
virt-what.x86_64                   1.13-8.el7                 rhel-7-server-rpms
wget.x86_64                        1.14-13.el7                rhel-7-server-rpms
wpa_supplicant.x86_64              1:2.0-20.el7               rhel-7-server-rpms
xdg-utils.noarch                   1.1.0-0.17.20120809git.el7 rhel-7-server-rpms
xfsprogs.x86_64                    4.5.0-8.el7                rhel-7-server-rpms
xz.x86_64                          5.2.2-1.el7                rhel-7-server-rpms
xz-libs.x86_64                     5.2.2-1.el7                rhel-7-server-rpms
yum.noarch                         3.4.3-150.el7              rhel-7-server-rpms
yum-rhn-plugin.noarch              2.0.1-6.el7                rhel-7-server-rpms
zip.x86_64                         3.0-11.el7                 rhel-7-server-rpms
zlib.x86_64                        1.2.7-17.el7               rhel-7-server-rpms
znc.x86_64                         1.6.3-6.el7                epel

As you can see, there are certain 7.3 packages slipping in, even in spite of having the release set to 7.2.

Cheers,
Karl
Comment 45 Christian Horn 2016-11-07 00:12:17 EST
There also still are 7.2 packages in the 7.1 repo, reported in bz1364860 .
Comment 46 Lubos Kocman 2017-02-01 09:00:08 EST
I believe that last discussion changed topic a bit ... to a different issue as far as the original --releasever 7.1 topic goes

7.1 y-stream repository is unsupported, and we're not fixing anything that haven't been fixed during 7.1.z phase (as far as that given repository goes).

there is no-feature support to update to latest package in previous release (if you've applied newer patch/update). Feel free to follow up with subscription-manager team.

Closing as NOTABUG

Note You need to log in before you can comment on or make changes to this bug.